@import url(global.css);

/* Main */
@media(min-width: 768px) {
  main#main-content {
    padding-top: 0;
  }
}

/* Section Hero */
.section-hero {
  height: 100vh;
  overflow-x: hidden;
}

.section-hero__background {
  height: calc(100% - 70px);
  width: 100%;
  position: absolute;
  object-fit: cover;
}
@media (min-width: 768px) {
  .section-hero__background {
    height: 100%;
  }
}

.section-hero__content {
  position: absolute;
  top: 90px;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  max-width: 440px;
  padding: 0 16px;
  text-align: center;
  z-index: 2;
}
@media (min-width: 768px) {
  .section-hero__content {
    max-width: 580px;
  }
}

.section-hero__content img {
  height: 44px;
  margin: auto;
  margin-bottom: 16px;
}
@media (min-width: 768px) {
  .section-hero__content img{
    max-width: 580px;
  }
}

.custom-scroll .section-hero__content img {
  visibility: hidden;
}

.section-hero__content p {
  text-wrap: auto;
}

.section-hero__wrapper-buttons {
  display: flex;
  gap: 12px;
  padding: 16px 0px;
  width: 100%;
  margin: auto;
  justify-content: center;
  flex-wrap: wrap
}

.section-hero__wrapper-buttons a {
  width: fit-content !important;
  min-width: 240px;
}

.section-hero__wrapper-buttons a:first-child {
  background: #fa821e;
  box-shadow: 0px 10px 40px -10px rgba(250, 130, 30, 0.5);
}

.section-hero__title {
  margin-top: 0;
  margin-bottom: 15px;
  line-height: 1.2;
  font-weight: 400;
  text-wrap: auto;
  font-size: 3rem;
}
@media (min-width: 600px) {
  .section-hero__title {
    font-size: 3.6rem;
  }
}
@media (min-width: 768px) {
  .section-hero__title {
    font-size: 4.6rem;
    text-wrap: auto;
  }
}

.section-hero__logo {
  position: absolute;
  top: 70px;
  left: 50%;
  transform: translateX(-50%);
  object-fit: contain;
  z-index: 20;
}

.section-hero__logo img {
  width: 100px;
  height: 100px;
  object-fit: contain;
}

#bird-fly-animation {
  position: absolute;
  left: 0;
  width: 100px;
  height: 100px;
  z-index: 1;
  animation: bird-fly 80s linear infinite;
  filter: grayscale(100%);
}

@keyframes bird-fly {
  0% {
    transform: translateX(0) scaleX(1);
    opacity: 0;
  }
  2% { opacity: 1; }
  48% { opacity: 1; }
  50% {
    transform: translateX(calc(100vw - 100px)) scaleX(1);
    opacity: 0;
  }
  51% {
    transform: translateX(calc(100vw - 100px)) scaleX(-1);
    opacity: 0;
  }
  52% { opacity: 1; }
  98% { opacity: 1; }
  100% {
    transform: translateX(0) scaleX(-1);
    opacity: 0;
  }
}

#cloud-animation {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden; 
}

#cloud-animation img {
  height: 48px;
  opacity: 0.06;
  position: absolute;
  animation: cloud-move 40s linear infinite;
  will-change: transform; 
}

#cloud-animation img:nth-child(1) {
  left: 0%;
  top: 80px;
}

#cloud-animation img:nth-child(2) {
  left: 20%;
  top: 180px;
}

#cloud-animation img:nth-child(3) {
  left: 40%;
  top: 130px;
}

#cloud-animation img:nth-child(4) {
  left: 60%;
  top: 80px;
}

#cloud-animation img:nth-child(5) {
  left: 80%;
  top: 180px;
}

@keyframes cloud-move {
  0%   { transform: translateX(0); }
  100% { transform: translateX(200vw); }
}

#car-hero {
  position: absolute;
  bottom: 20px;
  left: 0;
  height: 60px;
  width: auto;
  filter: grayscale(100%);
  animation: car 90s linear infinite;
  z-index: 1;
}

@keyframes car {
  0% {
    transform: translateX(0) scaleX(1);
    opacity: 0;
  }
  2% {
    opacity: 0.9;
  }
  48% {
    opacity: 0.9;
  }
  50% {
    transform: translateX(calc(100vw - 100px)) scaleX(1);
    opacity: 0;
  }
  51% {
    transform: translateX(calc(100vw - 100px)) scaleX(-1);
    opacity: 0;
  }
  52% {
    opacity: 0.9;
  }
  98% {
    opacity: 0.9;
  }
  100% {
    transform: translateX(0) scaleX(-1);
    opacity: 0;
  }
}

/* Section Como Funciona */
#section-como-funciona .content {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
}

@media(max-width: 768px) {
  #section-como-funciona .content {
    display: flex;
    flex-direction: column-reverse;
  }
}

#section-como-funciona ul li {
  position: relative; 
  padding-left: 1.5em;
  list-style: none;
  margin-bottom: 0.5em;
  text-align: start;
  font-size: 2rem;
  font-family: var(--main-font-family);
  white-space: nowrap; 
  width: fit-content;
  padding-bottom: 5px; 
  margin-bottom: 10px;
  position: relative; overflow: hidden;
}

#section-como-funciona ul li::before {
  content: '•';
  position: absolute;
  left: 0;
  top: 0;
  font-size: 1.2em;
  color: var(--primary-color);
}

#animation-list li span {
  position: relative;
}

#animation-list li::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0%;
  height: 2px; 
  background-color: var(--primary-color);
  transition: width 2s ease-in-out; 
}

#animation-list li.animate::after {
  width: 100%;
}

/*  */
#lista-produto {
  max-width: 900px;
}

/* Section Já tem seguro */
.wrapper-checklist.kovtOE {
  height: auto !important;
  margin-top: 32px;
  margin-bottom: 60px;
}

.checklist {
  display: grid;
  grid-template-columns: 1fr;
  gap: 20px;
  justify-content: center;
  padding: 0 20px;
  max-width: 1200px;
  position relative;
  padding-bottom: 80px;
}
@media (min-width: 1125px) {
  .checklist {
    grid-template-columns: 1fr 1fr;
  }
}

.checklist .item {
  background-color: #2d7dc3;
  color: #fff;
  padding: 20px 25px;
  border-radius: 15px;
  display: flex;
  align-items: center;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
}

.checklist .item p {
  text-align: start;
  text-wrap: auto;
}

.checklist .item::before {
  content: '✔';
  color: #ffffff;
  font-size: 24px;
  margin-right: 12px;
}

.checklist .check-list-button {
  min-width: 300px;
  background-color: #fa821e;
  color: #fff;
  border-radius: 12px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
  position: absolute;
  bottom: 0;
  right: -8px;
}

.checklist .check-list-button a {
  color: #fff;
  font-size: 1.6rem;
  font-family: var(--main-font-family);
  line-height: var(--main-line-height);
  font-weight: 700;
  border: 1px solid transparent;
  width: 100%;
  height: 100%;
  text-transform: uppercase;
  display: flex;
  align-items: center;
  padding: 14px 25px;

}

.gFsfCu .primary {
  color: #fa821e !important;
  font-weight: 600;
}

/* Por que a Fynz é diferente */
.differentiator-items {
  max-width: 1200px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding-bottom: 48px;
}

.fynz-differentiators-section {
  padding: 60px 20px;
  margin: 0 auto;
  font-family: Arial, sans-serif;
  color: #333;
}

.fynz-differentiators-section h2 {
  text-align: center;
  font-size: 2.5em;
  color: #2c3e50;
}

.differentiator-item {
  max-width: 350px;
  min-width: 280px;
  background: #fff;
  padding: 8px 24px 24px;
  border-radius: 4px;
  box-shadow: 0 8px 25px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
  border-left: 3px solid #007bff;
  margin: 16px 24px;
}

.differentiator-item:hover {
  transform: translateY(-5px);
  box-shadow: 0 12px 30px rgba(0, 0, 0, 0.15);
}

.differentiador-item__title {
  height: 72px;
  font-weight: bold;
  font-size: 1.8rem;
  color: #000000;
  display: flex;
  align-items: center;
  text-align: center;
}

.differentiator-item p {
  text-align: justify;
  text-align-last: center;
  text-justify: inter-word;
  hyphens: auto;
  word-break: break-word;
}

.fire-text {
  color: transparent;
  font-weight: 500;
  background-image: linear-gradient(
    -45deg,
    #fa821e,
    #fac71e,
    #fa821e,
    #fac71e,
    #fa821e
  );
  background-size: 200% 200%;
  background-clip: text;
  -webkit-background-clip: text;
  animation: fireFlow 3s linear infinite;
}

@keyframes fireFlow {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

/* Section - Por Que a Fynz é diferente */
.section-differentiator {
  padding-left: 20px;
  padding-right: 20px;
}

/* Section - Como Funciona */
.section-como-funciona img {
  width: 100vw;
}

.section-como-funciona {
  background-color: #f7f7f7;
  padding: 40px 20px;

}
@media screen and (min-width: 768px) {
  .section-como-funciona {
    padding: 70px 0;
  }
}

.section-como-funciona__content {
  padding: 16px 20px 0;
  max-width: 1200px;
  margin: auto;
  display: grid;
  grid-template-columns: 50% 50% ;
  align-items: center;
}
@media screen and (max-width: 680px) {
  .section-como-funciona__content {
    display: none;
  }
}

.section-como-funciona__content__fogueira {
  display: flex;
  justify-content: center;
  position: relative;
  margin-left: -96px;
}

.section-como-funciona__content__fogueira svg {
  width: auto !important;
  height: 400px !important;
}

.section-como-funciona__content__fogueira__setas {
  position: absolute;
  height: 100%;
  right: 60px;
  top: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
@media screen and (max-width: 768px) {
  .section-como-funciona__content__fogueira__setas {
    right: 32px;
  }
}

.section-como-funciona__content__fogueira__setas img {
  width: 48px;
  object-fit: contain;
}
@media screen and (max-width: 768px) {
  .section-como-funciona__content__fogueira__setas img {
    width: 32px;
  }
}

.section-como-funciona__content__fogueira__setas img:nth-child(1) {
  transform: translateY(48px) !important;
}

.section-como-funciona__content__fogueira__setas img:nth-child(3) {
  transform: translateY(-56px) !important;
}

.section-como-funciona__content__articles {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.section-como-funciona article {
  position: relative;
}

.section-como-funciona article strong {
  font-weight: bold;
}

/* Section - Como Funciona Mobile */
.section-como-funciona__content--mobile {
  display: none;
  flex-direction: column;
  align-items: center;
}
@media screen and (max-width: 680px) {
  .section-como-funciona__content--mobile {
    display: flex;
  }
}

.section-como-funciona__content--mobile .section-como-funciona__content__fogueira {
  display: flex;
  flex-direction: column;
}

.section-como-funciona__content--mobile .section-como-funciona__content__articles {
  display: grid;
}

.section-como-funciona__content--mobile article {
  margin: auto;
  text-align: center;
  padding: 8px 0;
}

.section-como-funciona__content--mobile article p {
  text-align: center;
  text-wrap: balance;
  hyphens: auto;
  word-break: break-word;
} 

.section-como-funciona__content--mobile article p strong {
  text-wrap: auto;
} 

/* Modal */
.modal-simulacao {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0; top: 0;
  width: 100%; height: 100%;
  background-color: rgba(0,0,0,0.6);
}

.modal-conteudo {
  background: white;
  padding: 20px;
  width: 90%;
  max-width: 350px;
  margin: 100px auto;
  border-radius: 8px;
  text-align: center;
  position: relative;
}

.modal-conteudo h2 {
  margin-bottom: 20px;
}

.modal-conteudo button {
  display: block;
  width: 100%;
  margin: 8px 0;
  padding: 10px;
  background: #2d7dc3;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.modal-conteudo button:hover {
  background: #1e5e9e;
}

.fechar {
  position: absolute;
  top: 2px;
  right: 5px;
  font-size: 28px;
  cursor: pointer;
  color: #555;
}
